PLaSK library

Loading...
Searching...
No Matches
Classes | Public Member Functions | Public Attributes | List of all members
plask::electrical::diffusion::ActiveRegion2D Struct Reference

`#include <solvers/electrical/diffusion/diffusion2d.hpp>`

Collaboration diagram for plask::electrical::diffusion::ActiveRegion2D:
[legend]

## Classes
struct | Region

## Public Member Functions
template<typename SolverT >
| ActiveRegion2D (const SolverT *solver, size_t l, size_t r, size_t b, size_t t, double h, std::vector< double > QWz, std::vector< std::pair< size_t, size_t > > QWbt)
shared_ptr< OrderedAxis > | mesh () const
double | vert () const
template<typename ReceiverType >
LazyData< typename ReceiverType::ValueType > | verticallyAverage (const ReceiverType &receiver, const shared_ptr< const RectangularMesh< 2 > > &mesh, InterpolationMethod interp=InterpolationMethod::INTERPOLATION_DEFAULT) const

## Public Attributes
size_t | left
size_t | right
size_t | bottom
size_t | top
double | QWheight
shared_ptr< RectangularMesh< 2 > > | mesh2
shared_ptr< RectangularMesh< 2 > > | emesh2
shared_ptr< RectangularMesh< 2 > > | mesh1
shared_ptr< RectangularMesh< 2 > > | emesh1
std::vector< std::pair< double, double > > | QWs
DataVector< double > | U
std::vector< double > | modesP

## Detailed Description

Definition at line 22 of file diffusion2d.hpp.

## Constructor & Destructor Documentation

## ◆ ActiveRegion2D()

template<typename SolverT >

plask::electrical::diffusion::ActiveRegion2D::ActiveRegion2D | ( | const SolverT * | solver,
|  | size_t | l,
|  | size_t | r,
|  | size_t | b,
|  | size_t | t,
|  | double | h,
|  | std::vector< double > | QWz,
|  | std::vector< std::pair< size_t, size_t > > | QWbt
| ) |  |
| inline

Definition at line 48 of file diffusion2d.hpp.

## Member Function Documentation

## ◆ mesh()

shared_ptr< OrderedAxis > plask::electrical::diffusion::ActiveRegion2D::mesh | ( |  | ) | const
| inline

Definition at line 83 of file diffusion2d.hpp.

## ◆ vert()

double plask::electrical::diffusion::ActiveRegion2D::vert | ( |  | ) | const
| inline

Definition at line 88 of file diffusion2d.hpp.

## ◆ verticallyAverage()

template<typename ReceiverType >

LazyData< typename ReceiverType::ValueType > plask::electrical::diffusion::ActiveRegion2D::verticallyAverage | ( | const ReceiverType & | receiver,
|  | const shared_ptr< const RectangularMesh< 2 > > & | mesh,
|  | InterpolationMethod | interp = `InterpolationMethod::INTERPOLATION_DEFAULT`
| ) |  | const
| inline

Definition at line 91 of file diffusion2d.hpp.

## Member Data Documentation

## ◆ bottom

size_t plask::electrical::diffusion::ActiveRegion2D::bottom

Definition at line 37 of file diffusion2d.hpp.

## ◆ emesh1

shared_ptr<RectangularMesh<2> > plask::electrical::diffusion::ActiveRegion2D::emesh1

Definition at line 40 of file diffusion2d.hpp.

## ◆ emesh2

shared_ptr<RectangularMesh<2> > plask::electrical::diffusion::ActiveRegion2D::emesh2

Definition at line 40 of file diffusion2d.hpp.

## ◆ left

size_t plask::electrical::diffusion::ActiveRegion2D::left

Definition at line 37 of file diffusion2d.hpp.

## ◆ mesh1

shared_ptr<RectangularMesh<2> > plask::electrical::diffusion::ActiveRegion2D::mesh1

Definition at line 40 of file diffusion2d.hpp.

## ◆ mesh2

shared_ptr<RectangularMesh<2> > plask::electrical::diffusion::ActiveRegion2D::mesh2

Definition at line 40 of file diffusion2d.hpp.

## ◆ modesP

std::vector<double> plask::electrical::diffusion::ActiveRegion2D::modesP

Definition at line 45 of file diffusion2d.hpp.

## ◆ QWheight

double plask::electrical::diffusion::ActiveRegion2D::QWheight

Definition at line 38 of file diffusion2d.hpp.

## ◆ QWs

std::vector<std::pair<double, double> > plask::electrical::diffusion::ActiveRegion2D::QWs

Definition at line 41 of file diffusion2d.hpp.

## ◆ right

size_t plask::electrical::diffusion::ActiveRegion2D::right

Definition at line 37 of file diffusion2d.hpp.

## ◆ top

size_t plask::electrical::diffusion::ActiveRegion2D::top

Definition at line 37 of file diffusion2d.hpp.

## ◆ U

DataVector<double> plask::electrical::diffusion::ActiveRegion2D::U

Definition at line 43 of file diffusion2d.hpp.

The documentation for this struct was generated from the following file:

- solvers/electrical/diffusion/diffusion2d.hpp